Bug 1146670 - apache-poi 3.13 is available
Summary: apache-poi 3.13 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: apache-poi
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1181820
Blocks: 1146661
TreeView+ depends on / blocked
 
Reported: 2014-09-25 17:42 UTC by gil cattaneo
Modified: 2015-11-30 09:45 UTC (History)
1 user (show)

Fixed In Version: 3.13-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-30 09:45:09 UTC


Attachments (Terms of Use)
apache poi spec file (9.09 KB, patch)
2015-03-06 11:47 UTC, gil cattaneo
no flags Details | Diff
ECMA email (13.02 KB, text/plain)
2015-03-19 18:29 UTC, gil cattaneo
no flags Details
apache poi spec file (9.16 KB, patch)
2015-04-27 17:05 UTC, gil cattaneo
no flags Details | Diff
ecma license mail (2.56 KB, text/plain)
2015-05-05 12:36 UTC, gil cattaneo
no flags Details
Update to 3.13 (6.01 KB, patch)
2015-09-26 11:25 UTC, gil cattaneo
no flags Details | Diff

Description gil cattaneo 2014-09-25 17:42:11 UTC
apache-poi 3.11-beta2 is available
please consider upgrading

Comment 1 Orion Poplawski 2014-09-25 21:19:11 UTC
Feel free. I don't have the time or inclination for a beta.

Comment 2 Fedora Admin XMLRPC Client 2014-10-31 14:20:43 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 gil cattaneo 2014-12-01 09:18:23 UTC
apache-poi 3.11-beta3 is available

Comment 4 gil cattaneo 2015-01-12 18:14:36 UTC
apache-poi 3.11 is available

Comment 5 Jaroslav Reznik 2015-03-03 16:19:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 gil cattaneo 2015-03-06 11:47:00 UTC
Created attachment 998766 [details]
apache poi spec file

Comment 8 Tom "spot" Callaway 2015-03-18 19:40:18 UTC
The Dublincore XML and RDF schemas are licensed under a Creative Commons Attribution 3.0 License.

The W3 schema is under the W3C license.

I have no idea what license the ETSI schema is under, you should ask upstream if they know or can find out.

The ECMA license is also unclear, I was only able to find this:
http://ecma-international.org/publications/standards/Ecma-376.htm

And that isn't really a license.

You should ask upstream. :/

Comment 9 gil cattaneo 2015-03-19 18:28:43 UTC
(In reply to Tom "spot" Callaway from comment #8)
> The ECMA license is also unclear, I was only able to find this:
> http://ecma-international.org/publications/standards/Ecma-376.htm
> 
> And that isn't really a license.
> 
> You should ask upstream. :/
I received this response from ECMA, but again for me is unclear ...
(from attached email)
"What is concretely your question regarding the Ecma Copyrights?
Generally, we are rather liberal about it. You can use it, but please make reference to Ecma.
What is not allowed is forking. E.g. you take the ECMA-262 (ECMAScript), you develop it further in a non-compatible way, and you still call it as ECMAScript."

Comment 10 gil cattaneo 2015-03-19 18:29:28 UTC
Created attachment 1003983 [details]
ECMA email

Comment 11 gil cattaneo 2015-04-27 17:05:29 UTC
Created attachment 1019387 [details]
apache poi spec file

Comment 14 gil cattaneo 2015-05-23 11:50:21 UTC
apache-poi 3.12 is available

Comment 15 Fedora Admin XMLRPC Client 2015-07-06 08:41:23 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 16 Jan Kurik 2015-07-15 14:37:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 17 Fedora Admin XMLRPC Client 2015-09-01 13:36:25 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 19 Tom "spot" Callaway 2015-09-09 18:22:04 UTC
After discussion with RH Legal, the nature of the XSD files (they are XML files) means that they meet the "phone book" test and can be considered to be non-copyrightable works. Thus, for the files where the license is unknown, unclear, or otherwise troublesome, we treat them as being uncopyrighted works.

I'm lifting FE-Legal here as a result.

Comment 20 gil cattaneo 2015-09-25 19:45:15 UTC
Latest upstream release: 3.13-20150929
Current version/release in rawhide: 3.12-2.fc24
URL: http://www.apache.org/dist/poi/release/
Please, consider upgrading

Comment 21 gil cattaneo 2015-09-26 11:25:38 UTC
Created attachment 1077393 [details]
Update to 3.13

- add BuildRequired: rhino
  used in the ant scriptdef task

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11236164

Comment 22 gil cattaneo 2015-09-26 13:26:26 UTC
Note: this release "could" break backward compatibility
see https://issues.apache.org/jira/browse/TIKA-1748

Comment 23 Mat Booth 2015-11-29 13:33:26 UTC
Hi Gil,

Would you like to apply for co-maintainership of this package?

Comment 24 gil cattaneo 2015-11-29 14:52:30 UTC
(In reply to Mat Booth from comment #23)
> Hi Gil,
> 
> Would you like to apply for co-maintainership of this package?

Sure, thanks
Regards

Comment 25 Mat Booth 2015-11-29 15:03:04 UTC
(In reply to gil cattaneo from comment #24)
> (In reply to Mat Booth from comment #23)
> > Hi Gil,
> > 
> > Would you like to apply for co-maintainership of this package?
> 
> Sure, thanks
> Regards

Granted, thanks for working on it :-)

Comment 26 gil cattaneo 2015-11-30 09:45:09 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=12014469


Note You need to log in before you can comment on or make changes to this bug.